Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionUndoListener

Direct Known Subclasses:
  RepositoryDocument.RepositoryUndoListener

public class DataCollectionUndoListener
implements DataCollectionListener, PropertyChangeListener

These class listen all changes inn DataCollection, converts them to UndoableEdit and add them to UndoManager.

Constructor Summary
`DataCollectionUndoListener(TransactionListener transactionListener)`

Method Summary
`void` | `elementAdded(DataCollectionEvent e)`
`void` | `elementChanged(DataCollectionEvent e)`
`void` | `elementRemoved(DataCollectionEvent e)`
`void` | `elementWillAdd(DataCollectionEvent e)`
`void` | `elementWillChange(DataCollectionEvent e)`
`void` | `elementWillRemove(DataCollectionEvent e)`
`void` | `propertyChange(PropertyChangeEvent pce)`

Constructor Detail

### DataCollectionUndoListener

    public DataCollectionUndoListener(TransactionListener transactionListener)

Method Detail

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### propertyChange

    public void propertyChange(PropertyChangeEvent pce)

Association Links

to Class ru.biosoft.access.DataElement

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM